development/autogen: Updated for version 5.18.4.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
parent
bf34902634
commit
ad60b2a55b
|
@ -1,21 +0,0 @@
|
|||
Author: Tigro <ashejn@gmail.com>
|
||||
|
||||
Fix mk-tpl-config.sh to not fail when guile headers don't use noreturn
|
||||
|
||||
https://abf.rosalinux.ru/import/autogen/commit/d773f874326700a8aeef935351dab2b915575a7c
|
||||
|
||||
diff -up autogen-5.18.3/autoopts/mk-tpl-config.sh.mktplconfig autogen-5.18.3/autoopts/mk-tpl-config.sh
|
||||
--- autogen-5.18.3/autoopts/mk-tpl-config.sh.mktplconfig 2014-05-10 17:48:26.000000000 +0200
|
||||
+++ autogen-5.18.3/autoopts/mk-tpl-config.sh 2014-05-27 14:05:26.961175451 +0200
|
||||
@@ -200,9 +200,8 @@ fix_guile() {
|
||||
cd ${builddir}
|
||||
find_libguiledir "${LGCFLAGS}"
|
||||
|
||||
- list=`set +e ; exec 2>/dev/null
|
||||
- find ${libguiledir}/libguile* -type f | \
|
||||
- xargs grep -l -E '\<noreturn\>'`
|
||||
+ list=`find ${libguiledir}/libguile* -type f | \
|
||||
+ xargs grep -l -E '\<noreturn\>' 2> /dev/null || :`
|
||||
|
||||
test -z "$list" && exit 0
|
||||
|
|
@ -24,8 +24,8 @@
|
|||
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
|
||||
|
||||
PRGNAM=autogen
|
||||
VERSION=${VERSION:-5.18.3}
|
||||
BUILD=${BUILD:-2}
|
||||
VERSION=${VERSION:-5.18.4}
|
||||
BUILD=${BUILD:-1}
|
||||
TAG=${TAG:-_SBo}
|
||||
|
||||
if [ -z "$ARCH" ]; then
|
||||
|
@ -70,10 +70,6 @@ find -L . \
|
|||
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
|
||||
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
|
||||
|
||||
# Added patch to work with newer guile in -current
|
||||
# Should be safe on -stable as well
|
||||
patch -p1 < $CWD/autogen-mktplconfig.patch
|
||||
|
||||
CFLAGS="$SLKCFLAGS" \
|
||||
CXXFLAGS="$SLKCFLAGS" \
|
||||
./configure \
|
||||
|
|
|
@ -1,8 +1,8 @@
|
|||
PRGNAM="autogen"
|
||||
VERSION="5.18.3"
|
||||
VERSION="5.18.4"
|
||||
HOMEPAGE="http://www.gnu.org/software/autogen/"
|
||||
DOWNLOAD="http://ftp.gnu.org/gnu/autogen/rel5.18.3/autogen-5.18.3.tar.xz"
|
||||
MD5SUM="e7e8bb177019771b600f35b124655959"
|
||||
DOWNLOAD="http://ftp.gnu.org/gnu/autogen/rel5.18.4/autogen-5.18.4.tar.xz"
|
||||
MD5SUM="5171f4a7414adb85b7b25e8438791758"
|
||||
DOWNLOAD_x86_64=""
|
||||
MD5SUM_x86_64=""
|
||||
REQUIRES=""
|
||||
|
|
Loading…
Reference in New Issue